#ifndef FAT12_SCRIPT_WRAPPER_INCLUDED
#define FAT12_SCRIPT_WRAPPER_INCLUDED
#include "fat12prj.h"

#ifdef __cplusplus
extern "C"{
#endif //__cplusplus
	extern const size_t SCRIPT_TIMEOUT;
	TCHAR * fat12_default_get_script(const TCHAR* path_to_item);
	TCHAR ** fat12_default_makeenv( TFat12Context * ctx ); //Это Unix-only код, который гарантированно будет скомпилирован так, что TCHAR=char
	int fat12_default_lexec(const TCHAR *prog, const TCHAR * arg1, const TCHAR* arg2, TCHAR ** env, time_t tmout, TCHAR * out, size_t* out_size);
	void fat12_default_freeenv( TCHAR ** env );
#ifdef __cplusplus
}
#endif //__cplusplus

#endif  //FAT12_SCRIPT_WRAPPER_INCLUDED
